#!/bin/bash

service op5logserver-loader stop
service crond stop

archived=`ls /var/log/oslogd/archive|tail -1`
[ "$archived" ] && mv /var/log/oslogd/{archive/*,spool/}

su -l op5lsu -c "psql --quiet -U op5lsu -d op5lsu -c \"SELECT name FROM tables_registry WHERE ( location & get_location_mask('database') )::INTEGER != 0 AND (location & ( get_location_mask('local') | get_location_mask('remote') ) )::INTEGER != 0\" -t > $tables "
for i in $(cat $tables)
do
    su -l op5lsu -c "psql --quiet -U op5lsu -d op5lsu -c \"SELECT drop_table_function('$i')\""
done
